Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.schema.identity
Class Field

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.schema.identity.Field

public class Field
extends java.lang.Object

Schema identity constraint field.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: Field.java,v 1.10 2001/06/01 20:08:45 neilg Exp $
Author:
  Andy Clark, IBM

Inner Class Summary
`protected class` | `Field.Matcher` Field matcher.
`static class` | `Field.XPath` Field XPath.

Field Summary
`protected IdentityConstraint` | `fIdentityConstraint` Identity constraint.
`protected Field.XPath` | `fXPath` Field XPath.
`protected boolean` | `mayMatch`

Constructor Summary
`Field(Field.XPath xpath, IdentityConstraint identityConstraint)` Constructs a field.

Method Summary
`XPathMatcher` | `createMatcher(ValueStore store)` Creates a field matcher.
`IdentityConstraint` | `getIdentityConstraint()` Returns the identity constraint.
`XPath` | `getXPath()` Returns the field XPath.
`boolean` | `mayMatch()`
`void` | `setMayMatch(boolean b)`
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fXPath

    protected Field.XPath fXPath

  Field XPath.

### fIdentityConstraint

    protected IdentityConstraint fIdentityConstraint

  Identity constraint.

### mayMatch

    protected boolean mayMatch

Constructor Detail

### Field

    public Field(Field.XPath xpath,
                 IdentityConstraint identityConstraint)

  Constructs a field.

Method Detail

### setMayMatch

    public void setMayMatch(boolean b)

### mayMatch

    public boolean mayMatch()

### getXPath

    public XPath getXPath()

  Returns the field XPath.

### getIdentityConstraint

    public IdentityConstraint getIdentityConstraint()

  Returns the identity constraint.

### createMatcher

    public XPathMatcher createMatcher(ValueStore store)

  Creates a field matcher.

### toString

    public java.lang.String toString()

  Returns a string representation of this object.

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference